%define	githash	2bf1e9c4b5bd8edbbf9b1162cb6fac46c06c363b
%define	shorthash %(c=%{githash}; echo ${c:0:7})
%define origname umtspanel2

Name:           umts-panel2
Version:        0.3.1
Release:        %mkrel 1
Summary:        Wireless internet over GPRS/UMTS/3G
Group:		System/Configuration/Networking
License:        GPLv3
URL:            https://github.com/chrishildebrandt/umtspanel2
Source0:        https://github.com/chrishildebrandt/umtspanel2/archive/%{origname}-%{shorthash}.tar.xz
Source1:        README.pclos
Patch0:		%{origname}-pclos-fixes.patch
Requires:	pygtk2.0
Requires:  	python-gobject
Requires:  	gksu
Requires:  	wvdial
Requires:  	usb_modeswitch
Requires:  	mobile-broadband-provider-info
BuildArch:	noarch

%description
Python GTK program for wireless internet over GPRS/UMTS/3G (Cellphone/DataCard).
It is based on wvdial and usb_modeswitch.

%prep
%setup -qn %{origname}-%{shorthash}
cp template-wvdial.conf template-wvdial.conf-orig
cp %SOURCE1 .
%patch0 -p1

%build
# nothing

%install
rm -rf %{buildroot}

install -Dpm 0755 umts-panel %{buildroot}%{_bindir}/umts-panel
install -Dpm 0755 umts-panel-configure %{buildroot}%{_bindir}/umts-panel-configure
install -Dpm 0644 umts-panel.desktop %{buildroot}%{_datadir}/applications/%name.desktop
install -Dpm 0644 template-wvdial.conf %{buildroot}%{_datadir}/umts-panel/template-wvdial.conf
install -Dpm 0644 Providers.csv %{buildroot}%{_datadir}/umts-panel/Providers.csv
install -Dpm 0644 locale/de/umts-panel-configure.moo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/umts-panel-configure.moo
install -Dpm 0644 locale/it/umts-panel-configure.moo %{buildroot}%{_datadir}/locale/it/LC_MESSAGES/umts-panel-configure.moo
install -Dpm 0644 locale/ru/umts-panel-configure.moo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/umts-panel-configure.moo

%files
%doc README* debian/changelog template-wvdial.conf-orig
%{_bindir}/umts-panel*
%{_datadir}/applications/%name.desktop
%{_datadir}/umts-panel/*
%{_datadir}/locale/*/LC_MESSAGES/*.moo


%changelog
* Wed Jan 10 2018 Zen Subz <techars21 at gmail dot com> - 0.3.1-1pclos2018
- Build for PCLinuxOS
